# Collator::getStrength

# collator_get_strength

(PHP 5 >= 5.3.0, PHP 7, PECL intl >= 1.0.0)

Collator::getStrength -- collator_get_strength — Get current collation strength

### Description

Object oriented style

public Collator::getStrength ( void ) : int

Procedural style

collator_get_strength ( Collator `$coll` ) : int

### Parameters

`coll`

  Collator object.

### Return Values

Returns current collation strength, or boolean `FALSE` on error.

### Examples

Example #1 collator_get_strength() example

`<?php
$coll = collator_create( 'en_US' );
$strength = collator_get_strength( $coll );
?>`

### See Also

- Collator constants
- collator_set_strength() - Set collation strength
- collator_get_attribute() - Get collation attribute value